import 'package:cargocalculaterapp/core/error/failure.dart';
import 'package:cargocalculaterapp/core/usecase/usecase.dart';
import 'package:dartz/dartz.dart';
import '../../data/models/banner_response.dart';
import '../repository/home_repository.dart';

class BannersUseCase extends UseCase<List<BannerResponse>, NoParams> {
  final HomeRepository repository;

  BannersUseCase(this.repository);

  @override
  Future<Either<Failure, List<BannerResponse>>> call(NoParams params) async {
    return await repository.bannersGet();
  }
}
